import { APP_BASE_HREF } from '@angular/common';
import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

const routes: Routes = [
    { path: 'route', loadChildren: './routes/routes.module#RoutesModule' },
    { path: 'exception', loadChildren: './exception/exception.module#ExceptionModule' },
    { path: '', redirectTo: 'route/config/manage', pathMatch: 'full' },
    { path: '**', redirectTo: 'exception/404', pathMatch: 'full' }
];

@NgModule({
    imports: [RouterModule.forRoot(routes, { useHash: true })],
    exports: [RouterModule],
    providers: [
        { provide: APP_BASE_HREF, useValue: (window as any).__POWERED_BY_QIANKUN__ ? '/uebaMetricsAnalysis' : '/' },
    ]
})
export class AppRoutingModule { }
