import { Component, ElementRef, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ConfigService } from 'isop-common-ui';
import { NzIconService } from 'ng-zorro-antd';
import { environment } from 'src/environments/environment';


@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.styl']
})
export class AppComponent implements OnInit {
    __POWERED_BY_QIANKUN__ = (window as any).__POWERED_BY_QIANKUN__;
    title = '通知通道';
    prefixRouter: any;
    constructor(
        private router: Router,
        private configService: ConfigService,
        private nzIconService: NzIconService, private el: ElementRef) {
        const URI = environment.productionUrls;
        this.nzIconService.changeAssetsSource(URI);
        this.configService.changeAssetsSource(URI);
    }

    async ngOnInit() {
        // 设置页面文档document的title
        if (!this.prefixRouter) {
            this.prefixRouter = await this.configService.translatePrefix();
        }
        const appName = '/uebaMetricsAnalysis';
        const prefix = this.configService.getUrlPrefix(this.prefixRouter, appName);
        document.title = prefix ? prefix : '绿盟智能安全运营平台';
    }
}
