import { Injectable } from '@angular/core';

/**
 * 将数组转为 key-value 对象
 */
const arrayToMapping = (arr: Array<{ name: string, value: string }>): { [key: string]: string } => {
    return arr.reduce((accumulator: any, item) => {
        accumulator[item.value] = item.name;
        return accumulator;
    }, {});
};

@Injectable({
    providedIn: 'root'
})
export class ConstantService {

    constructor() { }
    // 威胁等级/级别
    threatLevelMap = {
        '5': '高',
        '4': '较高',
        '3': '中',
        '2': '较低',
        '1': '低'
    };
    /**
     * 风险等级
     */
    riskLevel = [
        {gt: 0, lt: 2, name: '很低风险'},
        {gt: 2, lt: 4, name: '低风险'},
        {gt: 4, lt: 6, name: '中风险'},
        {gt: 6, lt: 8, name: '高风险'},
        {gt: 8, lt: 10, name: '很高风险'},
    ]
    /**
     * 数据源启动状态
     */
    dataSourceType = [
        { name: '普通性能', value: '0' },
        { name: '高性能', value: '1' }
    ];

    /**
     * 数据源类型 key-value 映射
     */
    dsTypeMapping = arrayToMapping(this.dataSourceType);
}
