import { Injectable } from '@angular/core';

@Injectable({
    providedIn: 'root'
})
export class GeoConstantService {

    geoProvince: Array<any> = [
        // 4个直辖
        { key: '北京', value: '北京' },
        { key: '重庆', value: '重庆' },
        { key: '上海', value: '上海' },
        { key: '天津', value: '天津' },
        // 28省
        { key: '安徽', value: '安徽' },
        { key: '福建', value: '福建' },
        { key: '甘肃', value: '甘肃' },
        { key: '广东', value: '广东' },
        { key: '广西', value: '广西' },
        { key: '贵州', value: '贵州' },
        { key: '海南', value: '海南' },
        { key: '河北', value: '河北' },
        { key: '河南', value: '河南' },
        { key: '黑龙江', value: '黑龙江' },
        { key: '湖北', value: '湖北' },
        { key: '湖南', value: '湖南' },
        { key: '吉林', value: '吉林' },
        { key: '江苏', value: '江苏' },
        { key: '江西', value: '江西' },
        { key: '辽宁', value: '辽宁' },
        { key: '内蒙古', value: '内蒙古' },
        { key: '宁夏', value: '宁夏' },
        { key: '青海', value: '青海' },
        { key: '山东', value: '山东' },
        { key: '山西', value: '山西' },
        { key: '陕西', value: '陕西' },
        { key: '四川', value: '四川' },
        { key: '西藏', value: '西藏' },
        { key: '新疆', value: '新疆' },
        { key: '云南', value: '云南' },
        { key: '浙江', value: '浙江' },
        // 3个特别行政区
        { key: '澳门', value: '澳门' },
        { key: '台湾', value: '台湾' },
        { key: '香港', value: '香港' }
    ];

    cityAlias = {
        '广东': {
            '广州': '广州',
            '韶关': '韶关',
            '深圳': '深圳',
            '珠海': '珠海',
            '汕头': '汕头',
            '佛山': '佛山',
            '江门': '江门',
            '湛江': '湛江',
            '茂名': '茂名',
            '肇庆': '肇庆',
            '惠州': '惠州',
            '梅州': '梅州',
            '汕尾': '汕尾',
            '河源': '河源',
            '阳江': '阳江',
            '清远': '清远',
            '东莞': '东莞',
            '中山': '中山',
            '潮州': '潮州',
            '揭阳': '揭阳',
            '云浮': '云浮'
        },
        '青海': {
            '西宁': '西宁',
            '海东': '海东',
            '海北藏族自治州': '海北',
            '黄南藏族自治州': '黄南',
            '海南藏族自治州': '海南',
            '果洛藏族自治州': '果洛',
            '玉树藏族自治州': '玉树',
            '海西蒙古族藏族自治州': '海西'
        },
        '四川': {
            '成都': '成都',
            '自贡': '自贡',
            '攀枝花': '攀枝花',
            '泸州': '泸州',
            '德阳': '德阳',
            '绵阳': '绵阳',
            '广元': '广元',
            '遂宁': '遂宁',
            '内江': '内江',
            '乐山': '乐山',
            '南充': '南充',
            '眉山': '眉山',
            '宜宾': '宜宾',
            '广安': '广安',
            '达州': '达州',
            '雅安': '雅安',
            '巴中': '巴中',
            '资阳': '资阳',
            '阿坝藏族羌族自治州': '阿坝',
            '甘孜藏族自治州': '甘孜',
            '凉山彝族自治州': '凉山'
        },
        '海南': {
            '海口': '海口',
            '三亚': '三亚',
            '三沙': '三沙',
            '儋州': '儋州',
            '五指山': '五指山',
            '琼海': '琼海',
            '文昌': '文昌',
            '万宁': '万宁',
            '东方': '东方',
            '定安县': '定安',
            '屯昌县': '屯昌',
            '澄迈县': '澄迈',
            '临高县': '临高',
            '白沙黎族自治县': '白沙',
            '昌江黎族自治县': '昌江',
            '乐东黎族自治县': '乐东',
            '陵水黎族自治县': '陵水',
            '保亭黎族苗族自治县': '保亭',
            '琼中黎族苗族自治县': '琼中'
        },
        '陕西': {
            '西安': '西安',
            '铜川': '铜川',
            '宝鸡': '宝鸡',
            '咸阳': '咸阳',
            '渭南': '渭南',
            '延安': '延安',
            '汉中': '汉中',
            '榆林': '榆林',
            '安康': '安康',
            '商洛': '商洛'
        },
        '甘肃': {
            '兰州': '兰州',
            '嘉峪关': '嘉峪关',
            '金昌': '金昌',
            '白银': '白银',
            '天水': '天水',
            '武威': '武威',
            '张掖': '张掖',
            '平凉': '平凉',
            '酒泉': '酒泉',
            '庆阳': '庆阳',
            '定西': '定西',
            '陇南': '陇南',
            '临夏回族自治州': '临夏',
            '甘南藏族自治州': '甘南'
        },
        '云南': {
            '昆明': '昆明',
            '曲靖': '曲靖',
            '玉溪': '玉溪',
            '保山': '保山',
            '昭通': '昭通',
            '丽江': '丽江',
            '普洱': '普洱',
            '临沧': '临沧',
            '楚雄彝族自治州': '楚雄',
            '红河哈尼族彝族自治州': '红河',
            '文山壮族苗族自治州': '文山',
            '西双版纳傣族自治州': '西双版纳',
            '大理白族自治州': '大理',
            '德宏傣族景颇族自治州': '德宏',
            '怒江傈僳族自治州': '怒江',
            '迪庆藏族自治州': '迪庆'
        },
        '湖南': {
            '长沙': '长沙',
            '株洲': '株洲',
            '湘潭': '湘潭',
            '衡阳': '衡阳',
            '邵阳': '邵阳',
            '岳阳': '岳阳',
            '常德': '常德',
            '张家界': '张家界',
            '益阳': '益阳',
            '郴州': '郴州',
            '永州': '永州',
            '怀化': '怀化',
            '娄底': '娄底',
            '湘西土家族苗族自治州': '湘西'
        },
        '湖北': {
            '武汉': '武汉',
            '黄石': '黄石',
            '十堰': '十堰',
            '宜昌': '宜昌',
            '襄阳': '襄阳',
            '鄂州': '鄂州',
            '荆门': '荆门',
            '孝感': '孝感',
            '荆州': '荆州',
            '黄冈': '黄冈',
            '咸宁': '咸宁',
            '随州': '随州',
            '恩施土家族苗族自治州': '恩施',
            '仙桃': '仙桃',
            '潜江': '潜江',
            '天门': '天门',
            '神农架林区': '神农架'
        },
        '黑龙江': {
            '哈尔滨': '哈尔滨',
            '齐齐哈尔': '齐齐哈尔',
            '鸡西': '鸡西',
            '鹤岗': '鹤岗',
            '双鸭山': '双鸭山',
            '大庆': '大庆',
            '伊春': '伊春',
            '佳木斯': '佳木斯',
            '七台河': '七台河',
            '牡丹江': '牡丹江',
            '黑河': '黑河',
            '绥化': '绥化',
            '大兴安岭地区': '大兴安岭'
        },
        '贵州': {
            '贵阳': '贵阳',
            '六盘水': '六盘水',
            '遵义': '遵义',
            '安顺': '安顺',
            '毕节': '毕节',
            '铜仁': '铜仁',
            '黔西南布依族苗族自治州': '黔西南',
            '黔东南苗族侗族自治州': '黔东南',
            '黔南布依族苗族自治州': '黔南'
        },
        '山东': {
            '济南': '济南',
            '青岛': '青岛',
            '淄博': '淄博',
            '枣庄': '枣庄',
            '东营': '东营',
            '烟台': '烟台',
            '潍坊': '潍坊',
            '济宁': '济宁',
            '泰安': '泰安',
            '威海': '威海',
            '日照': '日照',
            '莱芜': '莱芜',
            '临沂': '临沂',
            '德州': '德州',
            '聊城': '聊城',
            '滨州': '滨州',
            '菏泽': '菏泽'
        },
        '江西': {
            '南昌': '南昌',
            '景德镇': '景德镇',
            '萍乡': '萍乡',
            '九江': '九江',
            '新余': '新余',
            '鹰潭': '鹰潭',
            '赣州': '赣州',
            '吉安': '吉安',
            '宜春': '宜春',
            '抚州': '抚州',
            '上饶': '上饶'
        },
        '河南': {
            '郑州': '郑州',
            '开封': '开封',
            '洛阳': '洛阳',
            '平顶山': '平顶山',
            '安阳': '安阳',
            '鹤壁': '鹤壁',
            '新乡': '新乡',
            '焦作': '焦作',
            '濮阳': '濮阳',
            '许昌': '许昌',
            '漯河': '漯河',
            '三门峡': '三门峡',
            '南阳': '南阳',
            '商丘': '商丘',
            '信阳': '信阳',
            '周口': '周口',
            '驻马店': '驻马店',
            '济源': '济源'
        },
        '河北': {
            '石家庄': '石家庄',
            '唐山': '唐山',
            '秦皇岛': '秦皇岛',
            '邯郸': '邯郸',
            '邢台': '邢台',
            '保定': '保定',
            '张家口': '张家口',
            '承德': '承德',
            '沧州': '沧州',
            '廊坊': '廊坊',
            '衡水': '衡水'
        },
        '山西': {
            '太原': '太原',
            '大同': '大同',
            '阳泉': '阳泉',
            '长治': '长治',
            '晋城': '晋城',
            '朔州': '朔州',
            '晋中': '晋中',
            '运城': '运城',
            '忻州': '忻州',
            '临汾': '临汾',
            '吕梁': '吕梁'
        },
        '安徽': {
            '合肥': '合肥',
            '芜湖': '芜湖',
            '蚌埠': '蚌埠',
            '淮南': '淮南',
            '马鞍山': '马鞍山',
            '淮北': '淮北',
            '铜陵': '铜陵',
            '安庆': '安庆',
            '黄山': '黄山',
            '滁州': '滁州',
            '阜阳': '阜阳',
            '宿州': '宿州',
            '六安': '六安',
            '亳州': '亳州',
            '池州': '池州',
            '宣城': '宣城'
        },
        '福建': {
            '福州': '福州',
            '厦门': '厦门',
            '莆田': '莆田',
            '三明': '三明',
            '泉州': '泉州',
            '漳州': '漳州',
            '南平': '南平',
            '龙岩': '龙岩',
            '宁德': '宁德'
        },
        '浙江': {
            '杭州': '杭州',
            '宁波': '宁波',
            '温州': '温州',
            '嘉兴': '嘉兴',
            '湖州': '湖州',
            '绍兴': '绍兴',
            '金华': '金华',
            '衢州': '衢州',
            '舟山': '舟山',
            '台州': '台州',
            '丽水': '丽水'
        },
        '江苏': {
            '南京': '南京',
            '无锡': '无锡',
            '徐州': '徐州',
            '常州': '常州',
            '苏州': '苏州',
            '南通': '南通',
            '连云港': '连云港',
            '淮安': '淮安',
            '盐城': '盐城',
            '扬州': '扬州',
            '镇江': '镇江',
            '泰州': '泰州',
            '宿迁': '宿迁'
        },
        '吉林': {
            '长春': '长春',
            '吉林': '吉林',
            '四平': '四平',
            '辽源': '辽源',
            '通化': '通化',
            '白山': '白山',
            '松原': '松原',
            '白城': '白城',
            '延边朝鲜族自治州': '延边'
        },
        '辽宁': {
            '沈阳': '沈阳',
            '大连': '大连',
            '鞍山': '鞍山',
            '抚顺': '抚顺',
            '本溪': '本溪',
            '丹东': '丹东',
            '锦州': '锦州',
            '营口': '营口',
            '阜新': '阜新',
            '辽阳': '辽阳',
            '盘锦': '盘锦',
            '铁岭': '铁岭',
            '朝阳': '朝阳',
            '葫芦岛': '葫芦岛'
        },
        '台湾': {
            '台北': '台北',
            '新北': '新北',
            '桃园': '桃园',
            '台中': '台中',
            '台南': '台南',
            '高雄': '高雄'
        },
        '新疆': {
            '乌鲁木齐': '乌鲁木齐',
            '克拉玛依': '克拉玛依',
            '吐鲁番': '吐鲁番',
            '哈密': '哈密',
            '昌吉回族自治州': '昌吉',
            '博尔塔拉蒙古自治州': '博州',
            '巴音郭楞蒙古自治州': '巴州',
            '阿克苏地区': '阿克苏',
            '克孜勒苏柯尔克孜自治州': '克州',
            '喀什地区': '喀什',
            '和田地区': '和田',
            '伊犁哈萨克自治州': '伊犁',
            '塔城地区': '塔城',
            '阿勒泰地区': '阿勒泰',
            '石河子': '石河子',
            '阿拉尔': '阿拉尔',
            '图木舒克': '图木舒克',
            '五家渠': '五家渠',
            '北屯': '北屯',
            '铁门关': '铁门关',
            '双河': '双河',
            '可克达拉': '可克达拉'
        },
        '广西': {
            '南宁': '南宁',
            '柳州': '柳州',
            '桂林': '桂林',
            '梧州': '梧州',
            '北海': '北海',
            '防城港': '防城港',
            '钦州': '钦州',
            '贵港': '贵港',
            '玉林': '玉林',
            '百色': '百色',
            '贺州': '贺州',
            '河池': '河池',
            '来宾': '来宾',
            '崇左': '崇左'
        },
        '宁夏': {
            '银川': '银川',
            '石嘴山': '石嘴山',
            '吴忠': '吴忠',
            '固原': '固原',
            '中卫': '中卫'
        },
        '内蒙古': {
            '呼和浩特': '呼和浩特',
            '包头': '包头',
            '乌海': '乌海',
            '赤峰': '赤峰',
            '通辽': '通辽',
            '鄂尔多斯': '鄂尔多斯',
            '呼伦贝尔': '呼伦贝尔',
            '巴彦淖尔': '巴彦淖尔',
            '乌兰察布': '乌兰察布',
            '兴安盟': '兴安',
            '锡林郭勒盟': '锡林郭勒',
            '阿拉善盟': '阿拉善'
        },
        '西藏': {
            '拉萨': '拉萨',
            '日喀则': '日喀则',
            '昌都': '昌都',
            '林芝': '林芝',
            '山南': '山南',
            '那曲地区': '那曲',
            '阿里地区': '阿里'
        },
        '北京': {
            '北京': '北京',
            '东城区': '东城',
            '西城区': '西城',
            '朝阳区': '朝阳',
            '丰台区': '丰台',
            '石景山区': '石景山',
            '海淀区': '海淀',
            '门头沟区': '门头沟',
            '房山区': '房山',
            '通州区': '通州',
            '顺义区': '顺义',
            '昌平区': '昌平',
            '大兴区': '大兴',
            '怀柔区': '怀柔',
            '平谷区': '平谷',
            '密云区': '密云',
            '延庆区': '延庆'
        },
        '天津': {
            '天津': '天津',
            '和平区': '和平',
            '河东区': '河东',
            '河西区': '河西',
            '南开区': '南开',
            '河北区': '河北',
            '红桥区': '红桥',
            '东丽区': '东丽',
            '西青区': '西青',
            '津南区': '津南',
            '北辰区': '北辰',
            '武清区': '武清',
            '宝坻区': '宝坻',
            '滨海新区': '滨海',
            '宁河区': '宁河',
            '静海区': '静海',
            '蓟县': '蓟县'
        },
        '上海': {
            '上海': '上海',
            '黄浦区': '黄浦',
            '徐汇区': '徐汇',
            '长宁区': '长宁',
            '静安区': '静安',
            '普陀区': '普陀',
            '虹口区': '虹口',
            '杨浦区': '杨浦',
            '闵行区': '闵行',
            '宝山区': '宝山',
            '嘉定区': '嘉定',
            '浦东新区': '浦东',
            '金山区': '金山',
            '松江区': '松江',
            '青浦区': '青浦',
            '奉贤区': '奉贤',
            '崇明县': '崇明'
        },
        '重庆': {
            '重庆': '重庆',
            '万州区': '万州',
            '涪陵区': '涪陵',
            '渝中区': '渝中',
            '大渡口区': '大渡口',
            '江北区': '江北',
            '沙坪坝区': '沙坪坝',
            '九龙坡区': '九龙坡',
            '南岸区': '南岸',
            '北碚区': '北碚',
            '綦江区': '綦江',
            '大足区': '大足',
            '渝北区': '渝北',
            '巴南区': '巴南',
            '黔江区': '黔江',
            '长寿区': '长寿',
            '江津区': '江津',
            '合川区': '合川',
            '永川区': '永川',
            '南川区': '南川',
            '璧山区': '璧山',
            '铜梁区': '铜梁',
            '潼南区': '潼南',
            '荣昌区': '荣昌',
            '梁平县': '梁平',
            '城口县': '城口',
            '丰都县': '丰都',
            '垫江县': '垫江',
            '武隆县': '武隆',
            '忠县': '忠县',
            '开县': '开县',
            '云阳县': '云阳',
            '奉节县': '奉节',
            '巫山县': '巫山',
            '巫溪县': '巫溪',
            '石柱土家族自治县': '石柱',
            '秀山土家族苗族自治县': '秀山',
            '酉阳土家族苗族自治县': '酉阳',
            '彭水苗族土家族自治县': '彭水'
        },
        '香港': {
            '中西区': '中西区',
            '东区': '东区',
            '九龙城区': '九龙',
            '观塘区': '观塘区',
            '南区': '南区',
            '深水埗区': '深水埗区',
            '湾仔区': '湾仔区',
            '黄大仙区': '黄大仙区',
            '油尖旺区': '油尖旺区',
            '离岛区': '离岛区',
            '葵青区': '葵青区',
            '北区': '北区',
            '西贡区': '西贡区',
            '沙田区': '沙田区',
            '屯门区': '屯门区',
            '大埔区': '大埔区',
            '荃湾区': '荃湾区',
            '元朗区': '元朗区',
            '香港': '香港',
            '九龙': '九龙',
            '新界': '新界'
        },
        '澳门': {
            '澳门特别行政区': '澳门',
            '澳门半岛': '澳门半岛',
            '凼仔': '凼仔',
            '路凼城': '路凼城',
            '路环': '路环'
        }
    };

    countries = [
        // 热门国家，这些都是从全部数据中提取出来的
        { key: '', value: '全部' },
        { key: '中国', value: '中国' },
        { key: '美国', value: '美国' },
        { key: '法国', value: '法国' },
        { key: '德国', value: '德国' },
        // 下面是全部国家数据
        { key: '阿尔巴尼亚', value: '阿尔巴尼亚' },
        { key: '阿尔及利亚', value: '阿尔及利亚' },
        { key: '阿富汗', value: '阿富汗' },
        { key: '阿根廷', value: '阿根廷' },
        { key: '阿拉伯联合酋长国', value: '阿拉伯联合酋长国' },
        { key: '阿联酋', value: '阿联酋' },
        { key: '阿曼', value: '阿曼' },
        { key: '阿塞拜疆', value: '阿塞拜疆' },
        { key: '埃及', value: '埃及' },
        { key: '埃塞俄比亚', value: '埃塞俄比亚' },
        { key: '爱尔兰', value: '爱尔兰' },
        { key: '爱沙尼亚', value: '爱沙尼亚' },
        { key: '安道尔', value: '安道尔' },
        { key: '安哥拉', value: '安哥拉' },
        { key: '安提瓜和巴布达', value: '安提瓜和巴布达' },
        { key: '奥地利', value: '奥地利' },
        { key: '澳大利亚', value: '澳大利亚' },
        { key: '巴巴多斯', value: '巴巴多斯' },
        { key: '巴布亚新几内亚', value: '巴布亚新几内亚' },
        { key: '巴哈马', value: '巴哈马' },
        { key: '巴基斯坦', value: '巴基斯坦' },
        { key: '巴拉圭', value: '巴拉圭' },
        { key: '巴勒斯坦', value: '巴勒斯坦' },
        { key: '巴林', value: '巴林' },
        { key: '巴拿马', value: '巴拿马' },
        { key: '巴西', value: '巴西' },
        { key: '白俄罗斯', value: '白俄罗斯' },
        { key: '百慕大', value: '百慕大' },
        { key: '保加利亚', value: '保加利亚' },
        { key: '北塞浦路斯', value: '北塞浦路斯' },
        { key: '贝宁', value: '贝宁' },
        { key: '比利时', value: '比利时' },
        { key: '冰岛', value: '冰岛' },
        { key: '波多黎各', value: '波多黎各' },
        { key: '波黑', value: '波黑' },
        { key: '波兰', value: '波兰' },
        { key: '波斯尼亚和黑塞哥维那', value: '波斯尼亚和黑塞哥维那' },
        { key: '玻利维亚', value: '玻利维亚' },
        { key: '伯利兹', value: '伯利兹' },
        { key: '博茨瓦纳', value: '博茨瓦纳' },
        { key: '不丹', value: '不丹' },
        { key: '布基纳法索', value: '布基纳法索' },
        { key: '布隆迪', value: '布隆迪' },
        { key: '朝鲜', value: '朝鲜' },
        { key: '赤道几内亚', value: '赤道几内亚' },
        { key: '丹麦', value: '丹麦' },
        { key: '德国', value: '德国' },
        { key: '东帝汶', value: '东帝汶' },
        { key: '多哥', value: '多哥' },
        { key: '多米尼加', value: '多米尼加' },
        { key: '多米尼克', value: '多米尼克' },
        { key: '多明尼加共和国', value: '多明尼加共和国' },
        { key: '俄罗斯', value: '俄罗斯' },
        { key: '厄瓜多尔', value: '厄瓜多尔' },
        { key: '厄立特里亚', value: '厄立特里亚' },
        { key: '法国', value: '法国' },
        { key: '法属波利尼西亚', value: '法属波利尼西亚' },
        { key: '法属圭亚那', value: '法属圭亚那' },
        { key: '法属南半球和南极领地', value: '法属南半球和南极领地' },
        { key: '梵蒂冈', value: '梵蒂冈' },
        { key: '菲律宾', value: '菲律宾' },
        { key: '斐济', value: '斐济' },
        { key: '芬兰', value: '芬兰' },
        { key: '佛得角', value: '佛得角' },
        { key: '福克兰群岛', value: '福克兰群岛' },
        { key: '冈比亚', value: '冈比亚' },
        { key: '刚果', value: '刚果' },
        { key: '刚果民主共和国', value: '刚果民主共和国' },
        { key: '哥伦比亚', value: '哥伦比亚' },
        { key: '哥斯达黎加', value: '哥斯达黎加' },
        { key: '格林纳达', value: '格林纳达' },
        { key: '格陵兰', value: '格陵兰' },
        { key: '格鲁吉亚', value: '格鲁吉亚' },
        { key: '古巴', value: '古巴' },
        { key: '圭亚那', value: '圭亚那' },
        { key: '哈萨克斯坦', value: '哈萨克斯坦' },
        { key: '海地', value: '海地' },
        { key: '韩国', value: '韩国' },
        { key: '荷兰', value: '荷兰' },
        { key: '荷属圣马丁', value: '荷属圣马丁' },
        { key: '黑山', value: '黑山' },
        { key: '洪都拉斯', value: '洪都拉斯' },
        { key: '基里巴斯', value: '基里巴斯' },
        { key: '吉布提', value: '吉布提' },
        { key: '吉尔吉斯斯坦', value: '吉尔吉斯斯坦' },
        { key: '几内亚', value: '几内亚' },
        { key: '几内亚比绍', value: '几内亚比绍' },
        { key: '加拿大', value: '加拿大' },
        { key: '加纳', value: '加纳' },
        { key: '加蓬', value: '加蓬' },
        { key: '柬埔寨', value: '柬埔寨' },
        { key: '捷克', value: '捷克' },
        { key: '津巴布韦', value: '津巴布韦' },
        { key: '喀麦隆', value: '喀麦隆' },
        { key: '卡塔尔', value: '卡塔尔' },
        { key: '科摩罗', value: '科摩罗' },
        { key: '科索沃', value: '科索沃' },
        { key: '科特迪瓦', value: '科特迪瓦' },
        { key: '科威特', value: '科威特' },
        { key: '克罗地亚', value: '克罗地亚' },
        { key: '肯尼亚', value: '肯尼亚' },
        { key: '库克群岛', value: '库克群岛' },
        { key: '库拉索', value: '库拉索' },
        { key: '拉脱维亚', value: '拉脱维亚' },
        { key: '莱索托', value: '莱索托' },
        { key: '老挝', value: '老挝' },
        { key: '黎巴嫩', value: '黎巴嫩' },
        { key: '立陶宛', value: '立陶宛' },
        { key: '利比里亚', value: '利比里亚' },
        { key: '利比亚', value: '利比亚' },
        { key: '列支敦士登', value: '列支敦士登' },
        { key: '卢森堡', value: '卢森堡' },
        { key: '卢旺达', value: '卢旺达' },
        { key: '罗马尼亚', value: '罗马尼亚' },
        { key: '马达加斯加', value: '马达加斯加' },
        { key: '马尔代夫', value: '马尔代夫' },
        { key: '马耳他', value: '马耳他' },
        { key: '马拉维', value: '马拉维' },
        { key: '马来西亚', value: '马来西亚' },
        { key: '马里', value: '马里' },
        { key: '马其顿', value: '马其顿' },
        { key: '马绍尔群岛', value: '马绍尔群岛' },
        { key: '毛里求斯', value: '毛里求斯' },
        { key: '毛里塔尼亚', value: '毛里塔尼亚' },
        { key: '美国', value: '美国' },
        { key: '蒙古', value: '蒙古' },
        { key: '孟加拉', value: '孟加拉' },
        { key: '秘鲁', value: '秘鲁' },
        { key: '密克罗尼西亚联邦', value: '密克罗尼西亚联邦' },
        { key: '缅甸', value: '缅甸' },
        { key: '摩尔多瓦', value: '摩尔多瓦' },
        { key: '摩洛哥', value: '摩洛哥' },
        { key: '摩纳哥', value: '摩纳哥' },
        { key: '莫桑比克', value: '莫桑比克' },
        { key: '墨西哥', value: '墨西哥' },
        { key: '纳米比亚', value: '纳米比亚' },
        { key: '南非', value: '南非' },
        { key: '南苏丹', value: '南苏丹' },
        { key: '瑙鲁', value: '瑙鲁' },
        { key: '尼加拉瓜', value: '尼加拉瓜' },
        { key: '尼泊尔', value: '尼泊尔' },
        { key: '尼日尔', value: '尼日尔' },
        { key: '尼日利亚', value: '尼日利亚' },
        { key: '纽埃', value: '纽埃' },
        { key: '挪威', value: '挪威' },
        { key: '帕劳', value: '帕劳' },
        { key: '葡萄牙', value: '葡萄牙' },
        { key: '日本', value: '日本' },
        { key: '瑞典', value: '瑞典' },
        { key: '瑞士', value: '瑞士' },
        { key: '萨尔瓦多', value: '萨尔瓦多' },
        { key: '萨摩亚', value: '萨摩亚' },
        { key: '塞尔维亚', value: '塞尔维亚' },
        { key: '塞拉利昂', value: '塞拉利昂' },
        { key: '塞内加尔', value: '塞内加尔' },
        { key: '塞浦路斯', value: '塞浦路斯' },
        { key: '塞舌尔', value: '塞舌尔' },
        { key: '沙特阿拉伯', value: '沙特阿拉伯' },
        { key: '圣多美和普林西比', value: '圣多美和普林西比' },
        { key: '圣基茨和尼维斯', value: '圣基茨和尼维斯' },
        { key: '圣卢西亚', value: '圣卢西亚' },
        { key: '圣马力诺', value: '圣马力诺' },
        { key: '圣文森特和格林纳丁斯', value: '圣文森特和格林纳丁斯' },
        { key: '斯里兰卡', value: '斯里兰卡' },
        { key: '斯洛伐克', value: '斯洛伐克' },
        { key: '斯洛文尼亚', value: '斯洛文尼亚' },
        { key: '斯威士兰', value: '斯威士兰' },
        { key: '苏丹', value: '苏丹' },
        { key: '苏里南', value: '苏里南' },
        { key: '所罗门群岛', value: '所罗门群岛' },
        { key: '索马里', value: '索马里' },
        { key: '索马里兰', value: '索马里兰' },
        { key: '塔吉克斯坦', value: '塔吉克斯坦' },
        { key: '泰国', value: '泰国' },
        { key: '坦桑尼亚', value: '坦桑尼亚' },
        { key: '汤加', value: '汤加' },
        { key: '特里尼达和多巴哥', value: '特里尼达和多巴哥' },
        { key: '突尼斯', value: '突尼斯' },
        { key: '图瓦卢', value: '图瓦卢' },
        { key: '土耳其', value: '土耳其' },
        { key: '土库曼斯坦', value: '土库曼斯坦' },
        { key: '瓦努阿图', value: '瓦努阿图' },
        { key: '危地马拉', value: '危地马拉' },
        { key: '委内瑞拉', value: '委内瑞拉' },
        { key: '文莱', value: '文莱' },
        { key: '乌干达', value: '乌干达' },
        { key: '乌克兰', value: '乌克兰' },
        { key: '乌拉圭', value: '乌拉圭' },
        { key: '乌兹别克斯坦', value: '乌兹别克斯坦' },
        { key: '希腊', value: '希腊' },
        { key: '西班牙', value: '西班牙' },
        { key: '西撒哈拉', value: '西撒哈拉' },
        { key: '新加坡', value: '新加坡' },
        { key: '新喀里多尼亚', value: '新喀里多尼亚' },
        { key: '新西兰', value: '新西兰' },
        { key: '匈牙利', value: '匈牙利' },
        { key: '叙利亚', value: '叙利亚' },
        { key: '牙买加', value: '牙买加' },
        { key: '亚美尼亚', value: '亚美尼亚' },
        { key: '也门', value: '也门' },
        { key: '伊拉克', value: '伊拉克' },
        { key: '伊朗', value: '伊朗' },
        { key: '以色列', value: '以色列' },
        { key: '意大利', value: '意大利' },
        { key: '印度', value: '印度' },
        { key: '印度尼西亚', value: '印度尼西亚' },
        { key: '英国', value: '英国' },
        { key: '约旦', value: '约旦' },
        { key: '越南', value: '越南' },
        { key: '赞比亚', value: '赞比亚' },
        { key: '乍得', value: '乍得' },
        { key: '智利', value: '智利' },
        { key: '中非', value: '中非' },
        { key: '中国', value: '中国' }
    ];
    constructor() { }
}
