import { Component, OnInit, ViewChild, Input, EventEmitter, Output } from '@angular/core';
import { NzTreeComponent, NzTreeNodeOptions } from 'ng-zorro-antd';

@Component({
    selector: 'app-asset-tree',
    templateUrl: './asset-tree.component.html',
    styleUrls: ['./asset-tree.component.styl']
})
export class AssetTreeComponent implements OnInit {
    viewId: any = 1;   // 默认的视图id为1
    _value: any;
    @Output() assetValueChange = new EventEmitter();
    set assetValue(inputValue) {
        this._value = inputValue;
        this.assetValueChange.emit(this._value);
    }
    @Input() get assetValue() {
        return this._value;
    }
    nodes: NzTreeNodeOptions[];

    unvisible = true;
    @ViewChild('nzTreeComponent') nzTreeComponent: NzTreeComponent;

    constructor() {}
    ngOnInit() {
        // TODO 接口实现
        this.nodes = [
            {
                title: '全部',
                key: '全部',
                children: [
                    {
                        title: '资产组1名称',
                        key: '资产组1 id',
                        children: [
                            { title: '资产1名称', key: '资产1 id', isLeaf: true },
                            { title: '资产2名称', key: '资产2 id', isLeaf: true },
                          ]
                    },
                    {
                        title: '资产组2名称',
                        key: '资产组2 id',
                        children: [
                            { title: '资产3名称', key: '资产3 id', isLeaf: true },
                            { title: '资产4名称', key: '资产4 id', isLeaf: true },
                            { title: '资产5名称', key: '资产5 id', isLeaf: true }
                        ]
                    },
                    {
                        title: 'SaaS事业部',
                        key: 'SaaS事业部',
                        isLeaf: true
                    },
                    {
                        title: 'BSA',
                        key: 'BSA',
                        isLeaf: true
                    },
                    {
                        title: 'Websafe资产',
                        key: 'Websafe资产',
                        isLeaf: true
                    }
                ]
            }
        ];
    }

    toggel() {
        this.unvisible = !this.unvisible;
    }

    tabSelect(viewId) {
        this.viewId = viewId;
    }

    nzClick(e) {
        const selectedNodeList = this.nzTreeComponent.getSelectedNodeList();
        if (selectedNodeList.length > 0) {
            const selectTitle = selectedNodeList[0].origin.key;
            const group = !selectedNodeList[0].isLeaf; // 是否为资产组
            this.assetValue = {viewId: this.viewId, value: selectTitle, group: group};
        } else {
            this.assetValue = {viewId: this.viewId, value: '', group: false};
        }
    }

    // 点击其他区域，关闭下拉框
    clickOutside(evt) {
        this.unvisible = true;
    }
}
