import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
/**IP范围组件
 * 实例：<app-form-ip [(bind)]="attr" [option]="option"></app-form-ip>
 * 其中： bind为input框绑定属性
 *        option的popPlace属性声明popover显示的位置
 */
@Component({
    selector: 'app-ip-range',
    templateUrl: './ip-range.component.html',
    styleUrls: ['./ip-range.component.styl']
})
export class IpRangeComponent implements OnInit {

    placement: string; // popover默认显示位置
    @Input() option: any;
    private _bind = '';
    @Input()
    get bind() {
        return this._bind;
    }
    set bind(value: string) {
        this._bind = typeof (value) === 'string' ? value.trim() : ''; // 修复输入空格时校验不通过的问题
        this.bindChange.emit(this._bind);
    }
    @Output()
    bindChange = new EventEmitter();

    constructor() {
    }

    ngOnInit() {
        if (this.option.popPlace) {
            this.placement = this.option.popPlace;
        }
    }

}
