/**
 * 将数值转换为 万、亿, 字符串格式的数值会被自动转换为数值， 如果转换失败则显示 NaN
 */
export const countTransform = (input: number): string => {
    if (isNaN(Number(input)) || !input) {
        return input.toString();
    }
    input = Number(input);
    const digits = 2; // 保留小数位数

    if (input < Math.pow(10, 4)) {
        return String(input);
    }
    if (input < Math.pow(10, 8)) {
        return (input / Math.pow(10, 4)).toFixed(digits) + '万';
    }
    return (input / Math.pow(10, 8)).toFixed(digits) + '亿';
};
