import {
  ChangeDetectionStrategy,
  ChangeDetectorRef,
  Component,
  EventEmitter,
  Input,
  OnChanges,
  Output,
  SimpleChanges
} from '@angular/core';

@Component({
  selector: 'app-process',
  templateUrl: './process.component.html',
  styleUrls: ['./process.component.styl'],
  changeDetection: ChangeDetectionStrategy.OnPush
})
// @ts-ignore
export class ProcessComponent implements OnChanges {
  // @ts-ignore
  @Input() visible = false;
  // @ts-ignore
  // tslint:disable-next-line:no-output-on-prefix
  @Output() onCancel = new EventEmitter();

  open = false;
  process = 0;
  intervalId = -1;

  constructor(
      private cdr: ChangeDetectorRef
  ) {}

  ngOnChanges(changes: SimpleChanges): void {
      const visible = changes['visible'];

      if (visible.currentValue !== null) {
          if (visible.currentValue) {
              this.start();
          }
      }
  }

  random() {
      const acc = Math.ceil(Math.random() * 10);
      const added = this.process + acc;
      this.process = added >= 99 ? 99 : added;
  }

  start() {
      this.open = true;
      this.process = 0;
      clearTimeout(this.intervalId);
      this.ticker();
  }

  ticker() {
      this.intervalId = setTimeout(() => {
          if (this.visible) {
              this.random();
              this.ticker();
          } else {
              this.process = 100;
              this.autoClose();
          }
          this.cdr.markForCheck();
      }, 1000);
  }

  cancel() {
      this.open = false;
      clearTimeout(this.intervalId);
      this.onCancel.emit();
  }

  autoClose() {
      clearTimeout(this.intervalId);
      setTimeout(() => {
          this.open = false;
          this.cdr.markForCheck();
      }, 300);
  }

  justClose() {
      this.open = false;
      clearTimeout(this.intervalId);
  }
}