import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';

import {
  EventStatusPipe,
  EventClassPipe,
  EventLevelPipe,
  PriorityTryPipe,
  AttResultPipe,
  AttDirPipe,
  EventObjectPipe,
  NameTransPipe,
  StatusToClassPipe,
  LevelToClassPipe,
  PriorityToClassPipe,
  ResultToClassPipe,
  StatusToColorPipe,
  AttackToColorPipe,
  ExecuteTimePipe,
  DescFormatPipe,
  RiskLevelPipe,
  AssetCategoryPipe,
  VulnProductPipe,
  SliceNamePipe,
  DisposeResultPipe,
  PriorityPipe,
} from './event.pipe';

import {
  SeniorEventObjectPipe,
  SeniorLevelToClassPipe,
  SeniorResultToClassPipe,
  SeniorPriorityToClassPipe,
  AttackChainPipe,
  DecodeUriPipe,
  NullShowPipe,
  StagePipe,
  TimePipe,
  AlertLevelToClassPipe,
  AlertLevelPipe,
  ResultnewToClassPipe,
  EventTypePipe,
  AutoRefreshFrequencyPipe,
  AutoRefreshIndexPipe
} from './senior-event.pipe';

const PIPES = [
  EventStatusPipe,
  EventClassPipe,
  EventLevelPipe,
  PriorityTryPipe,
  AttResultPipe,
  AttDirPipe,
  EventObjectPipe,
  NameTransPipe,
  StatusToClassPipe,
  LevelToClassPipe,
  PriorityToClassPipe,
  ResultToClassPipe,
  StatusToColorPipe,
  AttackToColorPipe,
  ExecuteTimePipe,
  DescFormatPipe,
  RiskLevelPipe,
  AssetCategoryPipe,
  VulnProductPipe,
  SliceNamePipe,
  DisposeResultPipe,
  PriorityPipe
];

const SENIOR_PIPES = [
  SeniorEventObjectPipe,
  SeniorLevelToClassPipe,
  SeniorResultToClassPipe,
  SeniorPriorityToClassPipe,
  AttackChainPipe,
  DecodeUriPipe,
  AlertLevelToClassPipe,
  NullShowPipe,
  StagePipe,
  TimePipe,
  AlertLevelPipe,
  ResultnewToClassPipe,
  EventTypePipe,
  AutoRefreshFrequencyPipe,
  AutoRefreshIndexPipe
];

@NgModule({
  declarations: [
    ...PIPES,
    ...SENIOR_PIPES
  ],

  exports: [
    ...PIPES,
    ...SENIOR_PIPES
  ],

  imports: [CommonModule]
})
export class EventPipeModule {
}
