import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class CacheService {
  private switchMailBtn$ = new BehaviorSubject(false);

  constructor() {
  }

  /**更新sessionStore的值 */
  set(key: string, value: any) {
    sessionStorage.setItem(key, JSON.stringify(value));
  }

  /**获取sessionStore的值 */
  get(key: string) {
    const ret = sessionStorage.getItem(key);
    if (ret && ret !== 'undefined') {
      return JSON.parse(ret);
    } else {
      return ret;
    }
  }

  /**删除sessionStore的值 */
  remove(key: string) {
    sessionStorage.removeItem(key);
  }

  get switchMailBtn() {
    return this.switchMailBtn$;
  }
}
