export const statusColorConst = {
  new: { name: '新建', encode: 0,  color: '#FF8800' },
  judging: { name: '研判中', encode: 1, color: '#FFCC33' },
  disposing: { name: '处置中', encode: 2, color: '#0099FF' },
  fixed: { name: '已处理', encode: 3, color: '#66CC33' },
  ignore: { name: '忽略', encode: 4, color: '#6666FF' },
  misreport: { name: '误报', encode: 5, color: '#FF3355' },
};

export const levelColorConst = {
  deadly: { name: '特别重大', encode: 5, color: '#9933FF' },
  severe: { name: '重大', encode: 4,  color: '#FF3355' },
  middle: { name: '较大', encode: 3,  color: '#FF8800' },
  normal: { name: '一般', encode: 2,  color: '#0099FF' },
  slight: { name: '轻微', encode: 1,  color: '#00CCCC' }
};


// 高级查询，攻击方向
export const attDirConst = [
  { name: '未知', encode: 1 },
  { name: '内部攻击', encode: 2 },
  { name: '外部攻击', encode: 3 }
];

// 表示不想转逻辑了，那就多写个 const
export const revAttDirConst = {
  1: { name: '未知', encode: 1 },
  2: { name: '内部攻击', encode: 2 },
  3: { name: '外部攻击', encode: 3 }
};

/**封堵类型 */
export const blockTypeSpare = [
  { label: '域名响应', value: 1 },
  { label: 'IP响应', value: 2 },
  { label: '会话响应', value: 3 },
  { label: '流量牵引', value: 4 },
  { label: '主机隔离', value: 5 }
];

/**威胁级别 */
export const theatLevelConst = [
  { name: '低', encode: 1 },
  { name: '较低', encode: 2 },
  { name: '中', encode: 3 },
  { name: '较高', encode: 4 },
  { name: '高', encode: 5 }
];

/** 工单类型 */
export const ticketTypeConst = [
    { name: '失陷资产', encode: 1 },
    { name: '威胁事件', encode: 2 },
    { name: '其他', encode: 3 }
];

/** 工单等级 */
export const ticketLevelConst = [
  { name: '一级', encode: 1 },
  { name: '二级', encode: 2 },
  { name: '三级', encode: 3 },
  { name: '四级', encode: 4 },
  { name: '五级', encode: 5 },
];

/** 运维事件与工单等级对应，，，因为历史数据等各种原因，现在是反向关系。。。 */
export const relatLevelConst = {
  1: 5,
  2: 4,
  3: 3,
  4: 2,
  5: 1
};
/** 运维事件与工单类型对应，，， */
export const relatClassConst = {
  '疑似失陷资产类': 1,
  '威胁类': 2
};


export const graphConst = {
  '0': { name: '未知', encode: 0,  color: '#6666FF', key: 'unknow', icon: 'question-circle' },
  '-1': { name: '失败', encode: -1, color: '#66CC33', key: 'fail', icon: 'safety-certificate' },
  '1': { name: '成功', encode: 1, color: '#FF3355', key: 'success', icon: 'alert' }
};

export const attackChainConst = [
  { name: '侦查', encode: 1, icon: 'investigate', value: 0, type: '---' },
  { name: '工具制作', encode: 2, icon: 'makeTool', value: 0, type: '---' },
  { name: '投送', encode: 3, icon: 'deliver', value: 0, type: '---' },
  { name: '攻击渗透', encode: 4, icon: 'attack', value: 0, type: '---' },
  { name: '安装工具', encode: 5, icon: 'installTool', value: 0, type: '---' },
  { name: '命令控制', encode: 6, icon: 'commandCtl', value: 0, type: '---' },
  { name: '恶意活动', encode: 7, icon: 'evilActive', value: 0, type: '---' },
];

export const queryTagsConst = {
  kill_chain_stage: [
    { name: '侦查', encode: 1 },
    { name: '工具制作', encode: 2 },
    { name: '投送', encode: 3 },
    { name: '攻击渗透', encode: 4 },
    { name: '安装工具', encode: 5 },
    { name: '命令控制', encode: 6 },
    { name: '恶意活动', encode: 7 },
  ],
  selectType:  [ // 此处的 encode 为给后端发送的数据
    { name: '账号安全', encode: '账号安全'},
    { name: '数据安全', encode: '数据安全' },
    { name: '恶意样本', encode: '恶意样本' },
    { name: '内部威胁', encode: '内部威胁' },
    { name: '主机终端安全', encode: '主机终端安全' },
    { name: '配置错误', encode: '配置错误' },
    { name: '违规行为', encode: '违规行为' },
    { name: '业务安全', encode: '业务安全' },
    { name: '异常流量', encode: '异常流量' },
    { name: '网络攻击', encode: '网络攻击' }
  ],
  selectClass: [
    { name: '威胁事件', encode: 1 },
    { name: '失陷资产', encode: 2 }
  ],
  selectLevel: [
    { name: '特别重大', encode: 5 },
    { name: '重大', encode: 4 },
    { name: '较大', encode: 3 },
    { name: '一般', encode: 2 },
    { name: '轻微', encode: 1 }
  ],
  selectStatus: [
    { name: '新建', encode: '0' },
    { name: '研判中', encode: 1 },
    { name: '处置中', encode: 2 },
    { name: '已处理', encode: 3 },
    { name: '忽略', encode: 4 },
    { name: '误报', encode: 5 },
  ],
  noDoneStatus: [
    { name: '新建', encode: '0' },
    { name: '研判中', encode: 1 },
    { name: '处置中', encode: 2 }
  ],
  priority: [
    { name: '极高', encode: 1 },
    { name: '高', encode: 2 },
    { name: '中', encode: 3 },
    { name: '低', encode: 4 }
  ],
  attResult: [
    { name: '未知', encode: 0 },
    { name: '失败', encode: -1 },
    { name: '成功', encode: 1 }
  ],
  attDirection: [
    { name: '未知', encode: 0 },
    { name: '内对外攻击', encode: 1 },
    { name: '外对内攻击', encode: 2 },
    { name: '内对内攻击', encode: 3 },
  ],
  // F01新增查询条件
  disposeModes: [
    { name: '人工', encode: 1 },
    { name: '自动化', encode: 2 }
  ],
  disposeResults: [
    { name: '未处置', encode: 4},
    { name: '处置中', encode: 3 },
    { name: '成功', encode: 0 },
    { name: '失败', encode: 1 },
    { name: '部分成功', encode: 2 }
  ],
  disposingResults: [
    { name: '未处置', encode: 4},
    { name: '处置中', encode: 3 },
    { name: '失败', encode: 1 },
    { name: '部分成功', encode: 2 }
  ]
};
