export const operatorSelectsConst = {
  likeSelectes: [
    { value: 'like', label: '包含' },
    { value: 'unlike', label: '不包含' }
  ],

  isSelectes: [
    { value: 'is', label: '等于' },
    { value: 'not_is', label: '不等于' }
  ],
}

export const statusColorConst_ch = {
  '新建': { key: 'new', encode: 0, color: '#0099ff' },
  '研判中': { key: 'judging', encode: 1, color: '#00CCCC' },
  '处置中': { key: 'disposing', encode: 2, color: '#66CCFF' },
  '已处理': { key: 'fixed', encode: 3, color: '#66CC33' },
  '忽略': { key: 'ignore', encode: 4, color: '#6666FF' },
  '误报': { key: 'misreport', encode: 5, color: '#FF3355' },
};

export const levelColorConst_ch = {
  '特别重大': { name: 'deadly', encode: 5, color: 'rgba(153, 51, 255, 0.85)' },
  '重大': { name: 'severe', encode: 4, color: 'rgba(245, 34, 34, 0.85)' },
  '较大': { name: 'middle', encode: 3, color: 'rgba(245, 159, 0, 0.85)' },
  '一般': { name: 'normal', encode: 2, color: 'rgba(104, 185, 46, 0.85)' },
  '轻微': { name: 'slight', encode: 1, color: 'rgba(10, 136, 255, 0.85)' }
};

// 高级查询，攻击方向
export const attDirConst = [
  { name: '未知', encode: 0 },
  { name: '内对外攻击', encode: 1 },
  { name: '外对内攻击', encode: 2 },
  { name: '内对内攻击', encode: 3 },
];

// 表示不想转逻辑了，那就多写个 const
export const revAttDirConst = {
  0: { name: '未知', encode: 0 },
  1: { name: '内对外攻击', encode: 1 },
  2: { name: '外对内攻击', encode: 2 },
  3: { name: '内对内攻击', encode: 3 },
};

export const flag = {
  hasVisitDetail: false
};

/**封堵类型 */
export const blockTypeSpare = [
  { label: '域名响应', value: 1 },
  { label: 'IP响应', value: 2 },
  { label: '会话响应', value: 3 },
  { label: '流量牵引', value: 4 },
  { label: '主机隔离', value: 5 }
];

/**威胁级别 */
export const theatLevelConst = [
  { name: '低', encode: 1 },
  { name: '较低', encode: 2 },
  { name: '中', encode: 3 },
  { name: '较高', encode: 4 },
  { name: '高', encode: 5 }
];

/** 工单类型 */
export const ticketTypeConst = [
  { name: '失陷资产', encode: 1 },
  { name: '威胁事件', encode: 2 },
  { name: '其他', encode: 3 }
];

/** 工单等级 */
export const ticketLevelConst = [
  { name: '一级', encode: 1 },
  { name: '二级', encode: 2 },
  { name: '三级', encode: 3 },
  { name: '四级', encode: 4 },
  { name: '五级', encode: 5 },
];

/** 运维事件与工单等级对应，，，因为历史数据等各种原因，现在是反向关系。。。 */
export const relatLevelConst = {
  1: 5,
  2: 4,
  3: 3,
  4: 2,
  5: 1
};
/** 运维事件与工单类型对应，，， */
export const relatClassConst = {
  '疑似失陷资产类': 1,
  '威胁类': 2
};


export const graphConst = {
  '0': { name: '未知', encode: 0, color: '#6666FF', key: 'unknow', icon: 'question-circle' },
  '-1': { name: '失败', encode: -1, color: '#66CC33', key: 'fail', icon: 'safety-certificate' },
  '1': { name: '成功', encode: 1, color: '#FF3355', key: 'success', icon: 'alert' }
};

export const attackChainConst = [
  { name: '侦查', encode: 1, icon: 'investigate', value: 0, type: '---' },
  { name: '工具制作', encode: 2, icon: 'makeTool', value: 0, type: '---' },
  { name: '投送', encode: 3, icon: 'deliver', value: 0, type: '---' },
  { name: '攻击渗透', encode: 4, icon: 'attack', value: 0, type: '---' },
  { name: '安装工具', encode: 5, icon: 'installTool', value: 0, type: '---' },
  { name: '命令控制', encode: 6, icon: 'commandCtl', value: 0, type: '---' },
  { name: '恶意活动', encode: 7, icon: 'evilActive', value: 0, type: '---' },
];

export const attackChainColor = {
  '--': { name: '--', encode: 1, color: '#842599', class: 'stage1' },
  '侦查': { name: '侦查', encode: 1, color: '#842599', class: 'stage1' },
  '工具制作': { name: '工具制作', encode: 2, color: '#f52222', class: 'stage2' },
  '投送': { name: '投送', encode: 3, color: '#f59f00', class: 'stage3' },
  '攻击渗透': { name: '攻击渗透', encode: 4, color: '#0a88ff', class: 'stage4' },
  '安装工具': { name: '安装工具', encode: 5, color: '#68b92e', class: 'stage5' },
  '命令控制': { name: '命令控制', encode: 6, color: '#6666ff', class: 'stage6' },
  '恶意活动': { name: '恶意活动', encode: 7, color: '#00cccc', class: 'stage7' },
  0: { name: '--', encode: 1, color: '#842599', class: 'stage1' },
  1: { name: '侦查', encode: 1, color: '#842599', class: 'stage1' },
  2: { name: '工具制作', encode: 2, color: '#f52222', class: 'stage2' },
  3: { name: '投送', encode: 3, color: '#f59f00', class: 'stage3' },
  4: { name: '攻击渗透', encode: 4, color: '#0a88ff', class: 'stage4' },
  5: { name: '安装工具', encode: 5, color: '#68b92e', class: 'stage5' },
  6: { name: '命令控制', encode: 6, color: '#6666ff', class: 'stage6' },
  7: { name: '恶意活动', encode: 7, color: '#00cccc', class: 'stage7' },
};
// 对应高级搜索表单参数名，选择值
export const queryTagsConst = {
  kill_chain_stage: [
    { name: '侦查', encode: 1 },
    { name: '工具制作', encode: 2 },
    { name: '投送', encode: 3 },
    { name: '攻击渗透', encode: 4 },
    { name: '安装工具', encode: 5 },
    { name: '命令控制', encode: 6 },
    { name: '恶意活动', encode: 7 },
  ],
  // 此处的 encode 为给后端发送的数据
  selectType: [
    // { name: '账号安全', encode: '账号安全'}
    // 事件类型通过后台接口获取
  ],
  selectClass: [
    { name: '威胁事件', encode: 1 },
    { name: '失陷资产', encode: 2 }
  ],
  selectLevel: [
    { name: '特别重大', encode: 5 },
    { name: '重大', encode: 4 },
    { name: '较大', encode: 3 },
    { name: '一般', encode: 2 },
    { name: '轻微', encode: 1 },
    { name: '未知', encode: 0 },
    // { name: '-', encode: 0 },
  ],
  selectStatus: [
    { name: '新建', encode: 0 },
    { name: '研判中', encode: 1 },
    { name: '处置中', encode: 2 },
    { name: '已处理', encode: 3 },
    { name: '忽略', encode: 4 },
    { name: '误报', encode: 5 },
  ],
  noDoneStatus: [
    { name: '新建', encode: 0 },
    { name: '研判中', encode: 1 },
    { name: '处置中', encode: 2 }
  ],
  priority: [
    { name: '极高', encode: 5 },
    { name: '高', encode: 4 },
    { name: '中', encode: 3 },
    { name: '低', encode: 2 },
    { name: '极低', encode: 1 }
  ],
  attResult: [
    { name: '未知', encode: 0 },
    { name: '失败', encode: -1 },
    { name: '成功', encode: 1 }
  ],
  attDirection: [
    { name: '未知', encode: 0 },
    { name: '内对外攻击', encode: 1 },
    { name: '外对内攻击', encode: 2 },
    { name: '内对内攻击', encode: 3 },
  ],
  // F01新增查询条件
  disposeModes: [
    { name: '人工', encode: 1 },
    { name: '自动化', encode: 2 }
  ],
  disposeResults: [
    { name: '未处置', encode: 4 },
    { name: '处置中', encode: 3 },
    { name: '成功', encode: 0 },
    { name: '失败', encode: 1 },
    { name: '部分成功', encode: 2 }
  ],
  operationScene: [
    {name: '高频事件', encode: 'high_frequency_event'},
    {name: '失陷事件', encode: 'fallen_event'}
  ]
};

// 运维详情操作
export const traOptSendKey = {
  ticketName: { sendTxt: 'ticket_name' },
  ticketType: { sendTxt: 'ticket_type' },
  ticketLevel: { sendTxt: 'ticket_level' },
  ticketExecutor: { sendTxt: 'executor_name' },
  ticketNotice: { sendTxt: 'notice_type' },
  whetherNotice: { sendTxt: 'whether_notice' },
  ticketDesc: { sendTxt: 'ticket_remark' },
  emailAddressee: { sendTxt: 'email' },
  whiteListObj: { sendTxt: 'white_list_obj' },
  whiteListEvType: { sendTxt: 'white_list_type' },
  blockType: { sendTxt: 'block_type' },
  blockObjDomain: { sendTxt: 'block_obj' },
  blockObjIp: { sendTxt: 'block_obj' },
  blockObjSession: { sendTxt: 'block_obj' },
  blockObjFlow: { sendTxt: 'block_obj' },
  blockReason: { sendTxt: 'block_reason' },
  blockMethod: { sendTxt: 'unblock_method' },
  blockTime: { sendTxt: 'keep_block_time' },
  addPlugDev: { sendTxt: 'device_id' },
  hostIpBreak: { sendTxt: 'block_obj' },
  addPlugResp: { sendTxt: 'response_method' }
};

export const autoRefreshFrequency = [
  {label: '30秒', value: '30'},
  {label: '1分钟', value: '60'},
  {label: '5分钟', value: '300'}
];

export const ntiFields = [
  {label: '命中', value: '命中'},
  {label: '未命中', value: '未命中'},
];
