import { Injectable } from '@angular/core';
import { timeout } from 'rxjs-compat/operator/timeout';
import { HttpService } from 'src/app/common-ui';

@Injectable({
  providedIn: 'root'
})
export class NoticeService {

  constructor(private httpService: HttpService) { }

  sendMailTest(params: any) {
    const url = '/notice/inner/v1/plugin/plugin_test';
    return this.httpService.post(url, {}, params);
  }

  saveMailConfig(params: any) {
    const url = '/notice/inner/v1/plugin/plugin_update';
    return this.httpService.put(url, {}, params);
  }

  queryConfig() {
    const url = '/notice/inner/v1/plugin/plugin_list';
    return this.httpService.get(url, {});
  }

  swicthBtn(params: any) {
    const url = '/notice/inner/v1/plugin/plugin_update_status/';
    return this.httpService.put(url, {}, params);
  }

  getQueryRange() {
    //{"msg": "\u67e5\u8be2\u6210\u529f", "data": {"query_range": 50, "queryable_day": {"incident": 14, "log": 7}}, "retcode": 200}
    const url = '/isoc/api/v1/isoc_sys_config/get_query_range';
    return this.httpService.get(url,{});
  }

  getUebaResult(params:any) {
    const url = '/uebaMetricsAnalysis/ueba_metrics/get_summary_data_list/';
    return this.httpService.get(url, params);
  }

  // 引擎接口
  // 获取已有的白名单
  whiteListQuery(params){
  //   {
  //     "message": "success",
  //     "code": 200,
  //     "data": {
  //         "total": 3,
  //         "data": [
  //             {
  //                 "white_content": {
  //                     "sip": "128.3.212.3"
  //                 },
  //                 "update_time": 1717731552,
  //                 "alert_rule_id": [
  //                     400000
  //                 ],
  //                 "name": "test2",
  //                 "white_rule": {
  //                     "url": [
  //                         "http://baid.com"
  //                     ],
  //                     "sip": {
  //                         "ip_range_list": [],
  //                         "single_ip_list": [
  //                             "128.3.212.3"
  //                         ]
  //                     }
  //                 },
  //                 "des": "\u63cf\u8ff0\u4fe1\u606f",
  //                 "event_rule_id": [],
  //                 "range": [
  //                     "ueba"
  //                 ],
  //                 "is_enable": 1,
  //                 "create_time": 1717731479,
  //                 "is_gray": 0,
  //                 "id": 5
  //             },
  //             {
  //                 "white_content": {
  //                     "url": "http://baid.com",
  //                     "sip": "128.3.212.3"
  //                 },
  //                 "update_time": 1717730831,
  //                 "alert_rule_id": [
  //                     400000
  //                 ],
  //                 "name": "test2",
  //                 "white_rule": {
  //                     "url": [
  //                         "http://baid.com"
  //                     ],
  //                     "sip": {
  //                         "ip_range_list": [],
  //                         "single_ip_list": [
  //                             "128.3.212.3"
  //                         ]
  //                     }
  //                 },
  //                 "des": "\u63cf\u8ff0\u4fe1\u606f",
  //                 "event_rule_id": [],
  //                 "range": [
  //                     "ueba"
  //                 ],
  //                 "is_enable": 1,
  //                 "create_time": 1717730546,
  //                 "is_gray": 0,
  //                 "id": 2
  //             },
  //             {
  //                 "white_content": {
  //                     "dport": "123",
  //                     "sip": "0.0.0.0",
  //                     "dip": "0.0.0.0",
  //                     "sport": "111"
  //                 },
  //                 "update_time": 1717399034,
  //                 "alert_rule_id": [],
  //                 "name": "test",
  //                 "white_rule": {
  //                     "dport": [
  //                         123
  //                     ],
  //                     "sip": {
  //                         "ip_range_list": [],
  //                         "single_ip_list": [
  //                             "0.0.0.0"
  //                         ]
  //                     },
  //                     "dip": {
  //                         "ip_range_list": [],
  //                         "single_ip_list": [
  //                             "0.0.0.0"
  //                         ]
  //                     },
  //                     "sport": [
  //                         111
  //                     ]
  //                 },
  //                 "des": "",
  //                 "event_rule_id": [
  //                     490002
  //                 ],
  //                 "range": [
  //                     "cep"
  //                 ],
  //                 "is_enable": 1,
  //                 "create_time": 1713409218,
  //                 "is_gray": 0,
  //                 "id": 1
  //             }
  //         ]
  //     }
  // }
    //pageIndex,pageSize
    //const url = '/ditingEngine/diting/global/whitelist_query/?pageIndex=1&pageSize=10000';
    const url = '/ditingEngine/diting/global/whitelist_query';
    return this.httpService.get(url, params);
  }

  // 获取已有的灰名单
  greyListQyery(param){
  //   {
  //     "message": "\u8c1b\u542c\u5f15\u64ce-\u540d\u5355\u67e5\u8be2\u6210\u529f",
  //     "code": 200,
  //     "data": {
  //         "total": 1,
  //         "data": [
  //             {
  //                 "white_content": {
  //                     "url": "http://baid.com",
  //                     "sip": "187.23.23.4"
  //                 },
  //                 "update_time": 1717730747,
  //                 "alert_rule_id": [
  //                     400000
  //                 ],
  //                 "name": "\u7070\u540d\u5355-\u540d\u79f0",
  //                 "des": "\u7070\u540d\u5355-\u63cf\u8ff0",
  //                 "range": "ueba",
  //                 "is_enable": 1,
  //                 "create_time": 1717730747,
  //                 "is_gray": 1,
  //                 "id": 3
  //             }
  //         ]
  //     }
  // }
    // const url = 'https://10.65.74.3/ditingEngine/ueba/engine_name_list/query/?pageIndex=1&pageSize=10&type=0';
    const url = '/ditingEngine/ueba/engine_name_list/query';
    return this.httpService.get(url,param);
  }

  // 添加白名单
  addWhitelist(params){
  //   {
  //     "range": [
  //         "ueba"
  //     ],
  //     "fields": [
  //         "sip",
  //     ],
  //     "name": "test2",//ip+加入时间
  //     "des": "",
  //     "is_enable": 1,
  //     "content": {
  //         "sip": "128.3.212.3",
  //     },
  //     "alert_rule_id": [
  //         400000,
  //     400000
  //     ]
  // }
  
  // response
  //{"message": "The whitelist is added", "code": 200, "data": {"id": 6}}
   const url = '/ditingEngine/diting/global/whitelist_add/';
    return this.httpService.post(url,{}, params);
  }

  // 添加灰名单
  addGreyList(params){
  //   {
  //     "fields": [
  //         "sip",
  //         "url"
  //     ],
  //     "name": "灰名单-名称",//ip+加入时间
  //     "alert_rule_id": [
  //         400000
  //     ],
  //     "des": "灰名单-描述",
  //     "is_enable": 1,
  //     "content": {
  //         "sip": "187.23.23.4",
  //         "url": "http://baid.com"
  //     },
  //     "type": 0
  // }

  //response:
  //   {
  //     "message": "谛听引擎-添加灰名单成功",
  //     "code": 200,
  //     "data": null
  // }
    const url = '/ditingEngine/ueba/engine_name_list/add/';
    return this.httpService.post(url,{}, params);
  }

  // 添加白名单灰名单默认类型
  getDefaultRule(){
  //   {
  //     "message": "success",
  //     "code": 200,
  //     "data": {
  //         "white_list": {
  //             "ip": [
  //                 400000,
  //                 400001
  //             ],
  //             "account": [
  //                 400000,
  //                 400001
  //             ],
  //             "interface": [
  //                 400000,
  //                 400001
  //             ],
  //             "menu": [
  //                 400000,
  //                 400001
  //             ]
  //         },
  //         "grey_list": {
  //             "ip": [
  //                 400000,
  //                 400001
  //             ],
  //             "account": [
  //                 400000,
  //                 400001
  //             ],
  //             "interface": [
  //                 400000,
  //                 400001
  //             ],
  //             "menu": [
  //                 400000,
  //                 400001
  //             ]
  //         }
  //     }
  // }
    const url = '/uebaMetricsAnalysis/ueba_metrics/get_default_rule/';
    return this.httpService.get(url);
  }

  // 写审计日志
  writeAuditlog(param){
    // {
    //   "action":"add whitelist",
    //   "params":{
    //       "name":"xx",
    //       "adg":21
    //   }
    // }

    // response:
  //   {
  //     "message": "success",
  //     "code": 200,
  //     "data": "ok"
  // }
    const url = '/uebaMetricsAnalysis/ueba_metrics/write_audit_log/';
    return this.httpService.post(url,{},param);
  }
}
